/*
 * Copyright (C) 2002-2005 Stefan Stiller
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package com.kiwisoft.db.sql;

/**
 * @author Stefan Stiller
 * @version $Revision: 1.2 $, $Date: 2005/08/10 18:51:22 $
 */
public abstract class Token
{
    private int offset;
    private StringBuffer text=new StringBuffer();

    protected Token(char ch, int offset)
    {
        this.offset=offset;
        text.append(ch);
    }

    public int getOffset()
    {
        return offset;
    }

    public int getLength()
    {
        return text.length();
    }

    public String getText()
    {
        return text.toString();
    }

    public abstract String getNormalizedText();

    public boolean append(char ch)
    {
        if (isValidCharacter(ch))
        {
            text.append(ch);
            return true;
        }
        return false;
    }

    protected abstract boolean isValidCharacter(char ch);

    public String toString()
    {
        return getText();
    }
}
