/*
 * Copyright (C) 2002-2005 Stefan Stiller
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package com.kiwisoft.sqlPlugin.actions;

import java.awt.event.ActionEvent;
import javax.swing.*;

import com.intellij.openapi.project.Project;

import com.kiwisoft.utils.gui.IconManager;
import com.kiwisoft.utils.gui.CheckBoxMenuItem;
import com.kiwisoft.sqlPlugin.QueryPanel;
import com.kiwisoft.sqlPlugin.IconNames;

/**
 * @author Stefan Stiller
 * @version $Revision: 1.1 $, $Date: 2005/10/29 11:17:39 $
 */
public class QuickPropertiesAction extends AbstractAction
{
	private Project project;

	public QuickPropertiesAction(Project project)
	{
		super("Quick Settings", IconManager.getIcon(QueryPanel.class.getClassLoader(), IconNames.QUICK_PROPERTIES));
		this.project=project;
		putValue(Action.SHORT_DESCRIPTION, "Quick access to some plugin settings.");
	}

	public void actionPerformed(ActionEvent event)
	{
		JPopupMenu popup=new JPopupMenu("Quick Settings");
		popup.add(new CheckBoxMenuItem(new StopOnErrorAction(project)));
		popup.add(new CheckBoxMenuItem(new RowLimitAction(project)));
		popup.add(new CheckBoxMenuItem(new LoadLargeObjectsAction(project)));
		popup.add(new CheckBoxMenuItem(new HighlightPrimaryKeysAction(project)));
		JComponent component=(JComponent)event.getSource();
		popup.show(component, 20, 20);
	}
}
