/*
 * Copyright (C) 2002-2003 Stefan Stiller
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package com.kiwisoft.sqlPlugin.actions;

import java.awt.event.ActionEvent;
import javax.swing.AbstractAction;

import com.intellij.openapi.project.Project;

import com.kiwisoft.sqlPlugin.CommonConfiguration;

/**
 * @author Stefan Stiller
 * @version $Revision: 1.1 $, $Date: 2005/10/29 11:17:39 $
 */
public class RowLimitAction extends AbstractAction
{
	private Project project;

	public RowLimitAction(Project project)
	{
		super("Restrict number of rows loaded");
		this.project=project;
		CommonConfiguration configuration=CommonConfiguration.getInstance(project);
		putValue("selected", Boolean.valueOf(configuration.isRowLimitEnabled()));
	}

	public void actionPerformed(ActionEvent event)
	{
		CommonConfiguration configuration=CommonConfiguration.getInstance(project);
		configuration.setRowLimitEnabled(!configuration.isRowLimitEnabled());
	}
}
