/*
 * Copyright (C) 2002-2005 Stefan Stiller
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package com.kiwisoft.utils.format;

import java.text.NumberFormat;

/**
 * @author Stefan Stiller
 * @version $Revision: 1.2 $, $Date: 2005/08/10 18:55:15 $
 */
public class MoneyFormat extends DefaultNumberFormat
{
	private NumberFormat currencyInstance;

	public MoneyFormat(String name)
	{
		super(name);
		currencyInstance=NumberFormat.getCurrencyInstance();
	}

	public String format(Object value)
	{
		if (value instanceof Number) return currencyInstance.format(value);
		return super.format(value);
	}

	public boolean canParse(Class aClass)
	{
		return false;
	}

	public Object parse(String value, Class targetClass)
	{
		throw new UnsupportedOperationException();
	}
}
