/*
 * Copyright (C) 2002-2005 Stefan Stiller
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package com.kiwisoft.utils.gui;

import java.net.URL;
import java.util.Hashtable;
import java.awt.image.BufferedImage;
import javax.swing.ImageIcon;
import javax.swing.Icon;

/**
 * @author Stefan Stiller
 * @version $Revision: 1.2 $, $Date: 2005/08/10 18:55:43 $
 */
public class IconManager
{
	public static final Icon ICON_16X16=new ImageIcon(new BufferedImage(16, 16, BufferedImage.TYPE_4BYTE_ABGR));

	private static Hashtable icons;

	public static ImageIcon getIcon(String aFileName)
	{
		if (icons==null) icons=new Hashtable();
		ImageIcon icon=(ImageIcon)icons.get(aFileName);
		if (icon!=null) return icon;
        URL url=ClassLoader.getSystemClassLoader().getResource(aFileName);
        if (url!=null)
        {
            icon=ImageTools.loadIcon(url);
		    if (icon!=null) icons.put(aFileName,icon);
        }
		return icon;
	}

	public static ImageIcon getIcon(ClassLoader classLoader, String aFileName)
	{
		if (icons==null) icons=new Hashtable();
		ImageIcon icon=(ImageIcon)icons.get(aFileName);
		if (icon!=null) return icon;
        URL url=classLoader.getResource(aFileName);
        if (url!=null)
        {
            icon=ImageTools.loadIcon(url);
		    if (icon!=null) icons.put(aFileName,icon);
        }
		return icon;
	}

	public static ImageIcon getIcon(URL anURL)
	{
		if (icons==null) icons=new Hashtable();
		ImageIcon icon=(ImageIcon)icons.get(anURL);
		if (icon!=null) return icon;
        icon=ImageTools.loadIcon(anURL);
	    if (icon!=null) icons.put(anURL,icon);
		return icon;
	}

	public static ImageIcon getIconFromFile(String aFileName)
	{
		if (icons==null) icons=new Hashtable();
		ImageIcon icon=(ImageIcon)icons.get(aFileName);
		if (icon!=null) return icon;
        icon=ImageTools.loadIcon(aFileName);
	    if (icon!=null) icons.put(aFileName,icon);
		return icon;
	}

	private IconManager()
	{
	}

}
