/*
 * Copyright (C) 2002-2005 Stefan Stiller
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package com.kiwisoft.utils.gui;

import java.awt.Dimension;
import java.awt.Graphics;
import javax.swing.ImageIcon;
import javax.swing.JPanel;

/**
 * @author Stefan Stiller
 * @version $Revision: 1.2 $, $Date: 2005/08/10 18:55:43 $
 */
public class ImagePanel extends JPanel
{
	private ImageIcon image;

	public ImagePanel(Dimension aSize)
	{
		image=null;
		setPreferredSize(aSize);
		setMinimumSize(aSize);
	}

	public ImagePanel(ImageIcon anImage)
	{
		image=anImage;
		Dimension size=new Dimension(image.getIconWidth(),image.getIconHeight());
		setPreferredSize(size);
		setMinimumSize(size);
	}

	public void setImage(ImageIcon anImage)
	{
		image=anImage;
		repaint();
	}

	public void paintComponent(Graphics g)
	{
		super.paintComponent(g);
		if (image!=null) image.paintIcon(this,g,0,0);
	}



}
