/*
 * Copyright (C) 2002-2005 Stefan Stiller
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package com.kiwisoft.utils.gui.lookup;

import javax.swing.Icon;
import javax.swing.JTextField;

import com.kiwisoft.utils.gui.IconManager;
import com.kiwisoft.utils.gui.TextEditorDialog;
import com.kiwisoft.utils.gui.table.EditorFactory;

/**
 * @author Stefan Stiller
 * @version $Revision: 1.2 $, $Date: 2005/08/10 18:55:16 $
 */
public class TextLookup implements DialogLookup
{
	public void open(JTextField field)
	{
		TextEditorDialog dialog=new TextEditorDialog(field.getText(), true);
		dialog.show();
		if (dialog.getReturnValue()) field.setText(dialog.getText());
	}

	public Icon getIcon()
	{
		return IconManager.getIcon(EditorFactory.class.getClassLoader(), "com/kiwisoft/utils/gui/table/lookup_zoom.png");
	}
}
